# Install Python packages
pip install requests

# Create and activate virtual environment
python -m venv venv
source ./venv/bin/activate

echo "Installing requirements..."

# Install required packages
pip3 install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121
pip install opencv-python-headless
pip install gradio
pip install diffusers
pip install insightface
pip install onnxruntime-gpu
pip install git+https://github.com/tencent-ailab/IP-Adapter.git
pip install transformers
pip install einops
pip install accelerate
pip install xformers
pip install omegaconf
pip install pyngrok

# Run a Python script
python Downloader.py

# Show completion message
echo "Virtual environment made and installed properly."

# No pause equivalent is needed in Unix shell scripts
