@echo off

echo WARNING. For this auto installer to work you need to have installed Python 3.10.x and C++ tools 
echo follow this tutorial : https://youtu.be/-NjNy7afOQ0

pip install requests

python -m venv venv

call .\venv\Scripts\activate.bat

echo installing requirements 

pip3 install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121
pip install opencv-python-headless
pip install gradio 
pip install diffusers
pip install insightface
pip install onnxruntime-gpu
pip install git+https://github.com/tencent-ailab/IP-Adapter.git
pip install transformers
pip install einops
pip install accelerate
pip install xformers
pip install omegaconf
pip install pyngrok
pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/triton-2.1.0-cp310-cp310-win_amd64.whl

python Downloader.py

REM Show completion message
echo Virtual environment made and installed properly

REM Pause to keep the command prompt open
pause